CentOS6 cactiのインストール

これも依存が激しい風味。機嫌が悪いようだったら、一部を先に入れないとだめかもしれない。

今はなきrpmforgeにあったのがepelに入ってました。

# yum enablerepo=epel,remi install libxml2 libxml2devel

# yum enablerepo=epel,remi install libxslt libxsltdevel

# yum -y install cacti –enablerepo=epel,remi,remi-php71
読み込んだプラグイン:fastestmirror
インストール処理の設定をしています
Loading mirror speeds from cached hostfile
* base: www.ftp.ne.jp
* epel: ftp.riken.jp
* extras: www.ftp.ne.jp
* ius: hkg.mirror.rackspace.com
* remi: mirror.bebout.net
* remi-php71: mirror.bebout.net
* remi-safe: mirror.bebout.net
* updates: www.ftp.ne.jp
依存性の解決をしています
–> トランザクションの確認を実行しています。
—> Package cacti.noarch 0:1.1.2-1.el6 will be インストール
–> 依存性の処理をしています: rrdtool のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-xml のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-snmp のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-process のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-pdo のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-mysql のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-mbstring のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-ldap のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php-gd のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: php のパッケージ: cacti-1.1.2-1.el6.noarch
–> 依存性の処理をしています: /usr/bin/php のパッケージ: cacti-1.1.2-1.el6.noarch
–> トランザクションの確認を実行しています。
—> Package php.i686 0:7.1.4-1.el6.remi will be インストール
–> 依存性の処理をしています: php-common(x86-32) = 7.1.4-1.el6.remi のパッケージ: php-7.1.4-1.el6.remi.i686
—> Package php-cli.i686 0:7.1.4-1.el6.remi will be インストール
—> Package php-gd.i686 0:7.1.4-1.el6.remi will be インストール
–> 依存性の処理をしています: gd-last(x86-32) >= 2.1.1 のパッケージ: php-gd-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libgd.so.3 のパッケージ: php-gd-7.1.4-1.el6.remi.i686
—> Package php-ldap.i686 0:7.1.4-1.el6.remi will be インストール
—> Package php-mbstring.i686 0:7.1.4-1.el6.remi will be インストール
—> Package php-pdo.i686 0:7.1.4-1.el6.remi will be インストール
—> Package php-pecl-mysql.i686 0:1.0.0-0.15.20160812git230a828.el6.remi.7.1 will be インストール
–> 依存性の処理をしています: php-mysqlnd(x86-32) のパッケージ: php-pecl-mysql-1.0.0-0.15.20160812git230a828.el6.remi.7.1.i686
—> Package php-process.i686 0:7.1.4-1.el6.remi will be インストール
—> Package php-snmp.i686 0:7.1.4-1.el6.remi will be インストール
—> Package php-xml.i686 0:7.1.4-1.el6.remi will be インストール
–> 依存性の処理をしています: libxslt.so.1(LIBXML2_1.0.24) のパッケージ: php-xml-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libxslt.so.1(LIBXML2_1.0.22) のパッケージ: php-xml-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libxslt.so.1(LIBXML2_1.0.18) のパッケージ: php-xml-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libxslt.so.1(LIBXML2_1.0.13) のパッケージ: php-xml-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libxslt.so.1(LIBXML2_1.0.11) のパッケージ: php-xml-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libxslt.so.1 のパッケージ: php-xml-7.1.4-1.el6.remi.i686
–> 依存性の処理をしています: libexslt.so.0 のパッケージ: php-xml-7.1.4-1.el6.remi.i686
—> Package rrdtool.i686 0:1.3.8-10.el6 will be インストール
–> 依存性の処理をしています: libpangocairo-1.0.so.0 のパッケージ: rrdtool-1.3.8-10.el6.i686
–> 依存性の処理をしています: libpango-1.0.so.0 のパッケージ: rrdtool-1.3.8-10.el6.i686
–> 依存性の処理をしています: libcairo.so.2 のパッケージ: rrdtool-1.3.8-10.el6.i686
–> 依存性の処理をしています: dejavu-sans-mono-fonts のパッケージ: rrdtool-1.3.8-10.el6.i686
–> 依存性の処理をしています: dejavu-lgc-sans-mono-fonts のパッケージ: rrdtool-1.3.8-10.el6.i686
–> トランザクションの確認を実行しています。
—> Package cairo.i686 0:1.8.8-6.el6_6 will be インストール
–> 依存性の処理をしています: libpixman-1.so.0 のパッケージ: cairo-1.8.8-6.el6_6.i686
–> 依存性の処理をしています: libXrender.so.1 のパッケージ: cairo-1.8.8-6.el6_6.i686
—> Package dejavu-lgc-sans-mono-fonts.noarch 0:2.33-1.el6 will be インストール
–> 依存性の処理をしています: dejavu-fonts-common = 2.33-1.el6 のパッケージ: dejavu-lgc-sans-mono-fonts-2.33-1.el6.noarch
—> Package dejavu-sans-mono-fonts.noarch 0:2.33-1.el6 will be インストール
—> Package gd-last.i686 0:2.2.4-1.el6.remi will be インストール
–> 依存性の処理をしています: libwebp.so.5 のパッケージ: gd-last-2.2.4-1.el6.remi.i686
–> 依存性の処理をしています: libtiff.so.3 のパッケージ: gd-last-2.2.4-1.el6.remi.i686
—> Package libxslt.i686 0:1.1.26-2.el6_3.1 will be インストール
—> Package pango.i686 0:1.28.1-11.el6 will be インストール
–> 依存性の処理をしています: libthai >= 0.1.9 のパッケージ: pango-1.28.1-11.el6.i686
–> 依存性の処理をしています: libthai.so.0(LIBTHAI_0.1) のパッケージ: pango-1.28.1-11.el6.i686
–> 依存性の処理をしています: libthai.so.0 のパッケージ: pango-1.28.1-11.el6.i686
–> 依存性の処理をしています: libXft.so.2 のパッケージ: pango-1.28.1-11.el6.i686
—> Package php-common.i686 0:7.1.4-1.el6.remi will be インストール
–> 依存性の処理をしています: php-json(x86-32) = 7.1.4-1.el6.remi のパッケージ: php-common-7.1.4-1.el6.remi.i686
—> Package php-mysqlnd.i686 0:7.1.4-1.el6.remi will be インストール
–> トランザクションの確認を実行しています。
—> Package dejavu-fonts-common.noarch 0:2.33-1.el6 will be インストール
–> 依存性の処理をしています: fontpackages-filesystem のパッケージ: dejavu-fonts-common-2.33-1.el6.noarch
—> Package libXft.i686 0:2.3.2-1.el6 will be インストール
—> Package libXrender.i686 0:0.9.10-1.el6 will be インストール
—> Package libthai.i686 0:0.1.12-3.el6 will be インストール
—> Package libtiff.i686 0:3.9.4-21.el6_8 will be インストール
—> Package libwebp.i686 0:0.4.3-3.el6 will be インストール
—> Package php-json.i686 0:7.1.4-1.el6.remi will be インストール
—> Package pixman.i686 0:0.32.8-1.el6 will be インストール
–> トランザクションの確認を実行しています。
—> Package fontpackages-filesystem.noarch 0:1.41-1.1.el6 will be インストール
–> 依存性解決を終了しました。

依存性を解決しました

================================================================================================
パッケージ アーキテクチャ
バージョン リポジトリー
容量
================================================================================================
インストールしています:
cacti noarch 1.1.2-1.el6 epel 6.4 M
依存性関連でのインストールをします。:
cairo i686 1.8.8-6.el6_6 base 319 k
dejavu-fonts-common noarch 2.33-1.el6 base 63 k
dejavu-lgc-sans-mono-fonts noarch 2.33-1.el6 base 397 k
dejavu-sans-mono-fonts noarch 2.33-1.el6 base 474 k
fontpackages-filesystem noarch 1.41-1.1.el6 base 8.8 k
gd-last i686 2.2.4-1.el6.remi remi 127 k
libXft i686 2.3.2-1.el6 base 54 k
libXrender i686 0.9.10-1.el6 base 23 k
libthai i686 0.1.12-3.el6 base 183 k
libtiff i686 3.9.4-21.el6_8 base 342 k
libwebp i686 0.4.3-3.el6 epel 212 k
libxslt i686 1.1.26-2.el6_3.1 base 451 k
pango i686 1.28.1-11.el6 base 351 k
php i686 7.1.4-1.el6.remi remi-php71 2.8 M
php-cli i686 7.1.4-1.el6.remi remi-php71 4.2 M
php-common i686 7.1.4-1.el6.remi remi-php71 983 k
php-gd i686 7.1.4-1.el6.remi remi-php71 63 k
php-json i686 7.1.4-1.el6.remi remi-php71 52 k
php-ldap i686 7.1.4-1.el6.remi remi-php71 57 k
php-mbstring i686 7.1.4-1.el6.remi remi-php71 968 k
php-mysqlnd i686 7.1.4-1.el6.remi remi-php71 199 k
php-pdo i686 7.1.4-1.el6.remi remi-php71 104 k
php-pecl-mysql i686 1.0.0-0.15.20160812git230a828.el6.remi.7.1 remi-php71 32 k
php-process i686 7.1.4-1.el6.remi remi-php71 59 k
php-snmp i686 7.1.4-1.el6.remi remi-php71 53 k
php-xml i686 7.1.4-1.el6.remi remi-php71 169 k
pixman i686 0.32.8-1.el6 base 234 k
rrdtool i686 1.3.8-10.el6 base 294 k

トランザクションの要約
================================================================================================
インストール 29 パッケージ

総ダウンロード容量: 19 M
インストール済み容量: 60 M
パッケージをダウンロードしています:
(1/29): cacti-1.1.2-1.el6.noarch.rpm | 6.4 MB 00:00
(2/29): cairo-1.8.8-6.el6_6.i686.rpm | 319 kB 00:00
(3/29): dejavu-fonts-common-2.33-1.el6.noarch.rpm | 63 kB 00:00
(4/29): dejavu-lgc-sans-mono-fonts-2.33-1.el6.noarch.rpm | 397 kB 00:00
(5/29): dejavu-sans-mono-fonts-2.33-1.el6.noarch.rpm | 474 kB 00:00
(6/29): fontpackages-filesystem-1.41-1.1.el6.noarch.rpm | 8.8 kB 00:00
(7/29): gd-last-2.2.4-1.el6.remi.i686.rpm | 127 kB 00:00
(8/29): libXft-2.3.2-1.el6.i686.rpm | 54 kB 00:00
(9/29): libXrender-0.9.10-1.el6.i686.rpm | 23 kB 00:00
(10/29): libthai-0.1.12-3.el6.i686.rpm | 183 kB 00:00
(11/29): libtiff-3.9.4-21.el6_8.i686.rpm | 342 kB 00:00
(12/29): libwebp-0.4.3-3.el6.i686.rpm | 212 kB 00:00
(13/29): libxslt-1.1.26-2.el6_3.1.i686.rpm | 451 kB 00:00
(14/29): pango-1.28.1-11.el6.i686.rpm | 351 kB 00:00
(15/29): php-7.1.4-1.el6.remi.i686.rpm | 2.8 MB 00:01
(16/29): php-cli-7.1.4-1.el6.remi.i686.rpm | 4.2 MB 00:02
(17/29): php-common-7.1.4-1.el6.remi.i686.rpm | 983 kB 00:00
(18/29): php-gd-7.1.4-1.el6.remi.i686.rpm | 63 kB 00:00
(19/29): php-json-7.1.4-1.el6.remi.i686.rpm | 52 kB 00:00
(20/29): php-ldap-7.1.4-1.el6.remi.i686.rpm | 57 kB 00:00
(21/29): php-mbstring-7.1.4-1.el6.remi.i686.rpm | 968 kB 00:00
(22/29): php-mysqlnd-7.1.4-1.el6.remi.i686.rpm | 199 kB 00:00
(23/29): php-pdo-7.1.4-1.el6.remi.i686.rpm | 104 kB 00:00
(24/29): php-pecl-mysql-1.0.0-0.15.20160812git230a828.el6.remi.7.1.i686. | 32 kB 00:00
(25/29): php-process-7.1.4-1.el6.remi.i686.rpm | 59 kB 00:00
(26/29): php-snmp-7.1.4-1.el6.remi.i686.rpm | 53 kB 00:00
(27/29): php-xml-7.1.4-1.el6.remi.i686.rpm | 169 kB 00:00
(28/29): pixman-0.32.8-1.el6.i686.rpm | 234 kB 00:00
(29/29): rrdtool-1.3.8-10.el6.i686.rpm | 294 kB 00:00
————————————————————————————————
合計 2.3 MB/s | 19 MB 00:08
rpm_check_debug を実行しています
トランザクションのテストを実行しています
トランザクションのテストを成功しました
トランザクションを実行しています
インストールしています : libXrender-0.9.10-1.el6.i686 1/29
インストールしています : php-common-7.1.4-1.el6.remi.i686 2/29
インストールしています : php-json-7.1.4-1.el6.remi.i686 3/29
インストールしています : php-pdo-7.1.4-1.el6.remi.i686 4/29
インストールしています : php-cli-7.1.4-1.el6.remi.i686 5/29
インストールしています : php-7.1.4-1.el6.remi.i686 6/29
インストールしています : php-mysqlnd-7.1.4-1.el6.remi.i686 7/29
インストールしています : php-pecl-mysql-1.0.0-0.15.20160812git230a828.el6.remi.7.1.i 8/29
インストールしています : php-ldap-7.1.4-1.el6.remi.i686 9/29
インストールしています : php-mbstring-7.1.4-1.el6.remi.i686 10/29
インストールしています : php-process-7.1.4-1.el6.remi.i686 11/29
インストールしています : php-snmp-7.1.4-1.el6.remi.i686 12/29
インストールしています : fontpackages-filesystem-1.41-1.1.el6.noarch 13/29
インストールしています : dejavu-fonts-common-2.33-1.el6.noarch 14/29
インストールしています : dejavu-lgc-sans-mono-fonts-2.33-1.el6.noarch 15/29
インストールしています : dejavu-sans-mono-fonts-2.33-1.el6.noarch 16/29
インストールしています : libXft-2.3.2-1.el6.i686 17/29
インストールしています : libxslt-1.1.26-2.el6_3.1.i686 18/29
インストールしています : php-xml-7.1.4-1.el6.remi.i686 19/29
インストールしています : libthai-0.1.12-3.el6.i686 20/29
インストールしています : libwebp-0.4.3-3.el6.i686 21/29
インストールしています : libtiff-3.9.4-21.el6_8.i686 22/29
インストールしています : gd-last-2.2.4-1.el6.remi.i686 23/29
インストールしています : php-gd-7.1.4-1.el6.remi.i686 24/29
インストールしています : pixman-0.32.8-1.el6.i686 25/29
インストールしています : cairo-1.8.8-6.el6_6.i686 26/29
インストールしています : pango-1.28.1-11.el6.i686 27/29
インストールしています : rrdtool-1.3.8-10.el6.i686 28/29
インストールしています : cacti-1.1.2-1.el6.noarch 29/29
Verifying : rrdtool-1.3.8-10.el6.i686 1/29
Verifying : dejavu-lgc-sans-mono-fonts-2.33-1.el6.noarch 2/29
Verifying : pango-1.28.1-11.el6.i686 3/29
Verifying : pixman-0.32.8-1.el6.i686 4/29
Verifying : php-json-7.1.4-1.el6.remi.i686 5/29
Verifying : php-ldap-7.1.4-1.el6.remi.i686 6/29
Verifying : libXft-2.3.2-1.el6.i686 7/29
Verifying : php-pecl-mysql-1.0.0-0.15.20160812git230a828.el6.remi.7.1.i 8/29
Verifying : libXrender-0.9.10-1.el6.i686 9/29
Verifying : php-pdo-7.1.4-1.el6.remi.i686 10/29
Verifying : php-mysqlnd-7.1.4-1.el6.remi.i686 11/29
Verifying : dejavu-sans-mono-fonts-2.33-1.el6.noarch 12/29
Verifying : libtiff-3.9.4-21.el6_8.i686 13/29
Verifying : cacti-1.1.2-1.el6.noarch 14/29
Verifying : fontpackages-filesystem-1.41-1.1.el6.noarch 15/29
Verifying : php-common-7.1.4-1.el6.remi.i686 16/29
Verifying : php-mbstring-7.1.4-1.el6.remi.i686 17/29
Verifying : cairo-1.8.8-6.el6_6.i686 18/29
Verifying : php-cli-7.1.4-1.el6.remi.i686 19/29
Verifying : libwebp-0.4.3-3.el6.i686 20/29
Verifying : dejavu-fonts-common-2.33-1.el6.noarch 21/29
Verifying : php-gd-7.1.4-1.el6.remi.i686 22/29
Verifying : php-7.1.4-1.el6.remi.i686 23/29
Verifying : gd-last-2.2.4-1.el6.remi.i686 24/29
Verifying : libthai-0.1.12-3.el6.i686 25/29
Verifying : php-process-7.1.4-1.el6.remi.i686 26/29
Verifying : libxslt-1.1.26-2.el6_3.1.i686 27/29
Verifying : php-xml-7.1.4-1.el6.remi.i686 28/29
Verifying : php-snmp-7.1.4-1.el6.remi.i686 29/29

インストール:
cacti.noarch 0:1.1.2-1.el6

依存性関連をインストールしました:
cairo.i686 0:1.8.8-6.el6_6
dejavu-fonts-common.noarch 0:2.33-1.el6
dejavu-lgc-sans-mono-fonts.noarch 0:2.33-1.el6
dejavu-sans-mono-fonts.noarch 0:2.33-1.el6
fontpackages-filesystem.noarch 0:1.41-1.1.el6
gd-last.i686 0:2.2.4-1.el6.remi
libXft.i686 0:2.3.2-1.el6
libXrender.i686 0:0.9.10-1.el6
libthai.i686 0:0.1.12-3.el6
libtiff.i686 0:3.9.4-21.el6_8
libwebp.i686 0:0.4.3-3.el6
libxslt.i686 0:1.1.26-2.el6_3.1
pango.i686 0:1.28.1-11.el6
php.i686 0:7.1.4-1.el6.remi
php-cli.i686 0:7.1.4-1.el6.remi
php-common.i686 0:7.1.4-1.el6.remi
php-gd.i686 0:7.1.4-1.el6.remi
php-json.i686 0:7.1.4-1.el6.remi
php-ldap.i686 0:7.1.4-1.el6.remi
php-mbstring.i686 0:7.1.4-1.el6.remi
php-mysqlnd.i686 0:7.1.4-1.el6.remi
php-pdo.i686 0:7.1.4-1.el6.remi
php-pecl-mysql.i686 0:1.0.0-0.15.20160812git230a828.el6.remi.7.1
php-process.i686 0:7.1.4-1.el6.remi
php-snmp.i686 0:7.1.4-1.el6.remi
php-xml.i686 0:7.1.4-1.el6.remi
pixman.i686 0:0.32.8-1.el6
rrdtool.i686 0:1.3.8-10.el6

完了しました!